Holger's Java API

## com.antelmann.image
Enum ImageUtils.Axis

    java.lang.Object
      java.lang.Enum<ImageUtils.Axis>
          com.antelmann.image.ImageUtils.Axis

All Implemented Interfaces:
  Serializable, Comparable<ImageUtils.Axis>

Enclosing class:
  ImageUtils

    public static enum ImageUtils.Axis

extends Enum<ImageUtils.Axis>

Enum Constant Summary
`X`
`Y`

Method Summary
`static ImageUtils.Axis` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ImageUtils.Axis[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### X

    public static final ImageUtils.Axis X

### Y

    public static final ImageUtils.Axis Y

Method Detail

### values

    public static ImageUtils.Axis[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageUtils.Axis c : ImageUtils.Axis.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageUtils.Axis valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads